complexType "Basket"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | openUnits?, basketConstituent+, basketDivisor?, basketVersion?, (basketName?, basketId*)?, basketCurrency?
</...>

Content Model Elements (7):

  basketConstituent, basketCurrency, basketDivisor, basketId, | basketName, basketVersion, openUnits (defined in Basket complexType)

All Direct / Indirect Based Elements (2):

  basket, | basket (defined in Underlyer complexType)

Known Usage Locations

- As direct type of elements (2):

  basket, | basket (defined in Underlyer complexType)

Annotation
A type describing the underlyer features of a basket swap. Each of the basket constituents are described through an embedded component, the basketConstituentsType.
Type Definition Detail

Type Derivation Tree Asset (extension) Basket

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="Basket"> <xsd:complexContent> <xsd:extension base="Asset"> <xsd:sequence> <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" name="basketConstituent" type="BasketConstituent"/> <xsd:element minOccurs="0" name="basketDivisor" type="xsd:decimal"/> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="basketVersion" type="xsd:nonNegativeInteger"/> <xsd:group minOccurs="0" ref="BasketIdentifier.model"/> <xsd:element minOccurs="0" name="basketCurrency" type="Currency"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/7)
basketConstituent

  Type: | BasketConstituent, complex content

  Describes each of the components of the basket.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="basketConstituent" type="BasketConstituent"/>

basketCurrency

  Type: | Currency, simple content

  Specifies the currency for this basket.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="basketCurrency" type="Currency"/>

basketDivisor

  Type: | xsd:decimal, predefined, simple content

  Specifies the basket divisor amount. This value is normally used to adjust the constituent weight for pricing or to adjust for dividends, or other corporate actions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="basketDivisor" type="xsd:decimal"/>

basketVersion

  Type: | xsd:nonNegativeInteger, predefined, simple content

  Basket version, used to record changes in basket composition or weights
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="basketVersion" type="xsd:nonNegativeInteger"/>

openUnits

  Type: | xsd:decimal, predefined, simple content

  The number of units (index or securities) that constitute the underlyer of the swap. In the case of a basket swap, this element is used to reference both the number of basket units, and the number of each asset components of the basket when these are expressed in absolute terms.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.